{{/*
Inject environnement from config map for chill apps
*/}}
{{- define "chill-app.config-env-from" }}
- configMapRef:
    name: "{{ include "chill-app.fullname" . }}-global-cm"
- secretRef:
    name: "{{ include "chill-app.fullname" . }}-app-secret"
{{- end }}

{{/*
Inject volume mount for chill apps
*/}}
{{- define "chill-app.volume-mount-config" }}
- mountPath: /var/www/app/config/packages/prod
  name: chill-prod-config
{{- end }}

{{/*
Create a volume for configuration, for chill app
*/}}
{{- define "chill-app.volume-config" }}
- configMap:
    name: "{{ include "chill-app.fullname" . }}-config"
  name: chill-prod-config
{{- end }}
